Bug 1002036 - .desktop in wrong category
.desktop in wrong category
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
: 1008116 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 07:23 EDT by Miro Hrončok
Modified: 2013-10-02 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: firewalld-0.3.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 02:47:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for sources (418 bytes, patch)
2013-08-28 07:23 EDT, Miro Hrončok
no flags Details | Diff
Patch for spec (1.99 KB, patch)
2013-08-28 07:25 EDT, Miro Hrončok
no flags Details | Diff

  None (edit)
Description Miro Hrončok 2013-08-28 07:23:57 EDT
Created attachment 791321 [details]
Patch for sources

Description of problem:

All system-wide related settings, such as system-config-* or authconfig are located in System;Settings; categories. On the other hand, user related settings, such as Xfce settings, or userinfo are located in Settings; (without System;).

I consider firewall settings system-wide. The app asks for root password and the changes affect all users. Therefore is belongs to System;Settings;.

Version-Release number of selected component (if applicable): 
0.3.3-2.fc19

How reproducible:
Always

Steps to Reproduce:
0. Install firewall-config
2. Search it in Administration apps menu category

Actual results:
It is not there, instead it is in Settings category

Expected results:
See Firewall config in Administration apps menu category

Additional info:
Patch attached
Comment 1 Miro Hrončok 2013-08-28 07:25:26 EDT
Created attachment 791322 [details]
Patch for spec

Patch for spec to apply previously attached patch.
Also removed F17 conditions form spec, as F17 is end of life.
Comment 2 Jiri Popelka 2013-08-28 08:13:16 EDT
(In reply to Miro Hrončok from comment #0)
> All system-wide related settings, such as system-config-* or authconfig are
> located in System;Settings; categories.

Both 'System' and 'Settings' are main categories.
http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html#category-registry

> I consider firewall settings system-wide. The app asks for root password and
> the changes affect all users. Therefore is belongs to System;Settings;.

The 'System;' category was removed with
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=fb2a3039ff47620bb221fbaced62528783730677

When I add it back, desktop-file-validate warns that:

value "System;Settings;Security;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu


What about ?
Categories=System;Security;
Comment 3 Miro Hrončok 2013-08-28 09:58:35 EDT
I believe that moves it to System submenu in the Apps menu.

If System; and Settings; are both main and shouldn't coexist, how should an app appear in Administration submenu after all?
Comment 5 Miro Hrončok 2013-08-28 10:48:25 EDT
Thanks :)
Comment 6 Jiri Popelka 2013-09-15 06:21:06 EDT
*** Bug 1008116 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2013-09-30 08:34:57 EDT
firewalld-0.3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.5-1.fc20
Comment 8 Fedora Update System 2013-09-30 08:38:07 EDT
firewalld-0.3.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.5-1.fc19
Comment 9 Fedora Update System 2013-09-30 22:01:21 EDT
Package firewalld-0.3.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17984/firewalld-0.3.5-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-02 02:47:06 EDT
firewalld-0.3.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-02 21:14:24 EDT
firewalld-0.3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.